Subject: 24.3.50; `dired-internal-do-deletions': "Deleting..." message

From: Drew Adams <[email-masked]>
Date: Fri, 3 Jan 2014 09:18:28 -0800 (PST)

The message "Trashing..." (which is unclear, BTW) or "Deleting..."
appears while the user is being asked whether to delete/trash.

So the message is wrong: Emacs is not (yet) deleting files.

A better message would be something like "Preparing to delete..."

A message such as "Deleting..." can give the impression that the files
are already being deleted.  If you have 50 marked files, you don't want
to see a message saying that they are being deleted before you have had
a chance to cancel deletion.

In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
 of 2014-01-01 on ODIEONE
Bzr revision: 115827 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=/c/Devel/emacs/binary --enable-checking=yes,glyphs
 'CFLAGS=-O0 -g3' LDFLAGS=-Lc:/Devel/emacs/lib
 CPPFLAGS=-Ic:/Devel/emacs/include'